#!/usr/bin/env python

from osgeo import gdal


def main():
    drv = gdal.GetDriverByName('VRT')

    ds = drv.Create('tmp.vrt', 120, 100, 0)

    options = [
        'subClass=VRTRawRasterBand',
        'SourceFilename=tmp.dat',
        'ImageOffset=0',
        'PixelOffset=1',
        'LineOffset=120',
        'RelativeToVRT=1',
    ]

    ds.AddBand(gdal.GDT_Byte, options=options)
    ds.FlushCache()
    ds = None

    xml = open('tmp.vrt').read()
    print
    print xml
    print


if __name__ == '__main__':
    main()
